<% // Text display for slide pages
  first = true;
  StringBuffer tsText = new StringBuffer();

  if(tsNumber) { 
    if(first) first=false; else tsText.append(" | "); 
    tsText.append(imageNum.toString()); }
    
  if(tsComment)
    if(comment != void && comment != null && comment.length() > 0) { 
      if(first) first=false; else tsText.append(" | "); 
      tsText.append("<span class=\"comment\">" + comment + "</span>"); }
    else if(tsUseLabelIfNoComment && !tsFileName && !tsLabel) {
      if(first) first=false; else tsText.append(" | "); 
      tsText.append("<span class=\"comment\">" + label.replace('_',' ') + "</span>"); }
    
  if(tsLabel) { 
    if(first) first=false; else tsText.append(" | "); 
    tsText.append(label.replace('_',' ')); }
    
  if(tsFileName) { 
    if(first) first=false; else tsText.append(" | "); 
    tsText.append(fileName); }
    
  if(tsDate) { 
    if(first) first=false; else tsText.append(" | "); 
    tsText.append((originalDate!=void)? originalDate.toString() : fileDate.toString()); }
    
  if(tsSize) { 
    if(first) first=false; else tsText.append(" | "); 
    if(isMediaFile(closeupPath) == false) tsText.append(originalWidth.toString() + "x" + originalHeight.toString() + " ");
    tsText.append("(" + fileSize/1024 + "kB)"); } 

  if(newLabel)
    tsText.append("&nbsp;<script type=\"text/javascript\">generatenew(" + fileDate.getTime() / 86400000L + ");</script>");
%>